@TestGroup(description: 'tags.builder')
library tags.test.builder;

import 'dart:html';
import 'package:tags/tags.dart';
import 'package:bench/bench.dart';
import 'package:unittest/unittest.dart';

@Test()
void testCreateTagNoArgs() {
  Tag tag = createTag((_) {
    expect(buildHostNode, isNull);
    return new Element.tag('span');
  });
  expect(tag, const isInstanceOf<Tag>());
  expect(tag(), const isInstanceOf<SpanElement>());
}
